﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Warehouse;

namespace WarehouseManagementSystem.Controllers
{
    public class TrucksController : Controller
    {
        //
        // GET: /Trucks/
        WarehouseContainer container = new WarehouseContainer(@"Data Source=.\SQLEXPRESS;Initial Catalog=WarehouseManagementSystem;Integrated Security=True");
        public ActionResult Index()
        {
            var trucks = FindLoadedTrucks();

            return View("Index", trucks);
        }
        private IQueryable<Truck> FindLoadedTrucks()
        {
            return from truck in container.Trucks
                   where truck.Boxes.Count > 0
                   orderby truck.CityOfOrigin
                   select truck;
        }
    }
}
